import { IDataObject } from "./IDataObject";
import { Base, Type } from "./type";
export declare class DataObject extends Base implements IDataObject {
    private readonly a;
    constructor();
    getData(a: string): any;
    getDataPresent(a: string): boolean;
    setData(a: string, b: any): void;
    static $t: Type;
}
